For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign Up
DocumentationAPI ReferenceSDKs
DocumentationAPI ReferenceSDKs
  • Documents
    • Ingest Documents
    • Ingest Directories
    • POSTcrawl_website
    • GETget_processing_status_by_id
    • GETlist
    • GETget
    • GETlookup
    • DELdelete (singular)
    • DELdelete (multiple)
    • GETget_processes
    • POSTcopy
    • PUTupdate
    • DELcancel_process
    • GETget_extract
    • GETget_xray
  • Search
    • POSTsearch.content
    • POSTsearch.documents
  • Buckets
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Groups
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
    • POSTaddBucket
    • DELremoveBucket
  • Workflows
    • GETlist
    • POSTcreate
    • GETget_account
    • POSTadd_to_account
    • DELremove_from_account
    • POSTadd_to_id
    • DELremove_from_id
    • GETget
    • PUTupdate
    • DELdelete
  • Customer
    • GETget
  • API Key
    • GETlist
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Health
    • GETlist
    • GETget
Sign Up
LogoLogo
Groups

removeBucket

DELETE
https://api.groundx.ai/api/v1/group/:groupId/bucket/:bucketId
DELETE
/api/v1/group/:groupId/bucket/:bucketId
1from groundx import GroundX
2
3client = GroundX(
4 api_key="YOUR_API_KEY_HERE",
5)
6
7client.groups.remove_bucket(
8 group_id=1,
9 bucket_id=1,
10)
1{
2 "message": "OK"
3}
remove a bucket from a group. Buckets and groups can be associated many to many, this removes one bucket to group association without disturbing others.
Was this page helpful?
Previous

list

Next
Built with

Authentication

X-API-Keystring
API Key authentication via header

Path parameters

groupIdintegerRequired
The groupId of the group which the bucket will be removed from.
bucketIdintegerRequired
The bucketId of the bucket which will be removed from the group.

Response

Successful update of group
messagestring

Errors

400
Bad Request Error
401
Unauthorized Error